org.apache.hc.core5.http2.hpack

## Class HPackDecoder

- java.lang.Object
- - org.apache.hc.core5.http2.hpack.HPackDecoder

-     @Internal
      public final class HPackDecoder
      extends Object

  HPACK decoder.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HPackDecoder(int maxTableSize, Charset charset)`
    `HPackDecoder(int maxTableSize, CharsetDecoder charsetDecoder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Header` | `decodeHeader(ByteBuffer src)`
    `List<Header>` | `decodeHeaders(ByteBuffer src)`
    `int` | `getMaxListSize()`
    `int` | `getMaxTableSize()`
    `void` | `setMaxListSize(int maxListSize)`
    `void` | `setMaxTableSize(int maxTableSize)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HPackDecoder

          public HPackDecoder(int maxTableSize,
                              Charset charset)

    - #### HPackDecoder

          public HPackDecoder(int maxTableSize,
                              CharsetDecoder charsetDecoder)

  - ### Method Detail

    - #### decodeHeader

          public Header decodeHeader(ByteBuffer src)
                              throws HPackException

      Throws:
        `HPackException`

    - #### decodeHeaders

          public List<Header> decodeHeaders(ByteBuffer src)
                                     throws HPackException

      Throws:
        `HPackException`

    - #### getMaxTableSize

          public int getMaxTableSize()

    - #### setMaxTableSize

          public void setMaxTableSize(int maxTableSize)

    - #### getMaxListSize

          public int getMaxListSize()

    - #### setMaxListSize

          public void setMaxListSize(int maxListSize)

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.